import request from '@/utils/request'

export function getUserDetailList(query) {
  return request({
    url: '/employee/userdetail/',
    method: 'get',
    params: query
  })
}

export function createUserDetail(data) {
  return request({
    url: '/employee/userdetail/',
    method: 'post',
    data
  })
}

export function updateUserDetail(id, data) {
  return request({
    url: `/employee/userdetail/${id}/`,
    method: 'put',
    data
  })
}

export function deleteUserDetail(id) {
  return request({
    url: `/employee/userdetail/${id}/`,
    method: 'delete'
  })
}